import java.io.*;
import java.util.*;
public class main {
    public static void main(String [] args)throws Exception{
        Scanner in=new Scanner(new File("gcd.in"));
        PrintWriter out=new PrintWriter("gcd.out");
        long a=in.nextInt();
        long b=in.nextInt();
        long c=1;
        if(a>0)
        {
            for(int i=0;i<100;i++)
                for(int j=2;j<=a;j++)
                    if(a%j==0 && b%j==0)
                    {
                        c=c*j;
                        a=a/j;
                        b=b/j;
                        break;
                    }
        }
        if(a<0)
        {
            for(int i=0;i<100;i++)
                for(int j=2;j<=a*-1;j++)
                    if(a%j==0 && b%j==0)
                    {
                        c=c*j;
                        a=a/j;
                        b=b/j;
                        break;
                    }
        }
        if(a==0 && b>0)
        c=b;
        if(a==0 && b<0)
        c=b*-1;
        if(a==0 && b==0)
                c=0;
        out.print(c);
        out.close();
    }
}
